Subject: Re: bug#69232: 30.0.50; [PATCH] EWW history navigation gets caught in a loop

From: Eli Zaretskii <[email-masked]>
Date: Thu, 29 Feb 2024 09:03:33 +0200

> Date: Wed, 28 Feb 2024 15:39:16 -0800
> From: Jim Porter <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> On 2/25/2024 2:41 PM, Jim Porter wrote:
> > On 2/25/2024 11:49 AM, Eli Zaretskii wrote:
> >>> If anything, I think this should be the default, with some other options
> >>> provided for people who don't want to lose any history. That way the
> >>> default behavior is what people know.
> >>
> >> I don't think I mind.
> > 
> > Thanks. Even if there were multiple options, this is probably what I'd 
> > choose, if only out of habit.
> 
> Here's a patch that deletes "future history" in the case we'd previously 
> discussed. I also added some regression tests for this. I think this all 
> works correctly, but it's probably worth some manual testing over a few 
> days just to be on the safe side.

Thanks, but I thought we were talking about some user option, since at
least some people said they don't like what other browsers do?

> +(defun eww-save-history (&optional clear-future)
> +  "Save the current page's data to the history.
> +If the current page is a historial one loaded from
> +`eww-history' (e.g. by calling `eww-back-url'), this will update the
> +page's entry in `eww-history' and return nil.  Otherwise, add a new
> +entry to `eww-history' and return t.
> +
> +If CLEAR-FUTURE is non-nil, clear any future history elements from
> +`eww-history'."

This should probably explain what it means by "future history
elements".

Thanks.